# Project Ship Line

Source: https://opvs.ai/docs/api/project-ship-line

## `GET` /api/v1/projects/{project_id}/ship-line

**Get Project Ship Line**

**Parameters**

- `project_id` (path, string, required)

```bash
curl -X GET 'https://app.opvs.ai/api/v1/projects/{project_id}/ship-line' \
  -H 'Authorization: Bearer <token>'
```

```python
import httpx

resp = httpx.get(
    "https://app.opvs.ai/api/v1/projects/{project_id}/ship-line",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
```

```javascript
const resp = await fetch("https://app.opvs.ai/api/v1/projects/{project_id}/ship-line", {
  method: "GET",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
```

```go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/projects/{project_id}/ship-line", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}
```

**Responses**

- `200` — Successful Response
- `422` — Validation Error

## `PUT` /api/v1/projects/{project_id}/ship-line

**Put Project Ship Line**

**Parameters**

- `project_id` (path, string, required)

**Request body**

```bash
curl -X PUT 'https://app.opvs.ai/api/v1/projects/{project_id}/ship-line' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "enabled": true,
  "mode": "shadow",
  "deploy_mode": "none",
  "deploy_adapter": "string",
  "installation_id": 0,
  "github_repository_id": 0,
  "owner_user_ids": [
    "string"
  ]
}'
```

```python
import httpx

resp = httpx.put(
    "https://app.opvs.ai/api/v1/projects/{project_id}/ship-line",
    headers={"Authorization": "Bearer <token>", "Content-Type": "application/json"},
    json={"enabled": true, "mode": "shadow", "deploy_mode": "none", "deploy_adapter": "string", "installation_id": 0, "github_repository_id": 0, "owner_user_ids": ["string"]},
)
resp.raise_for_status()
print(resp.json())
```

```javascript
const resp = await fetch("https://app.opvs.ai/api/v1/projects/{project_id}/ship-line", {
  method: "PUT",
  headers: { "Authorization": "Bearer <token>", "Content-Type": "application/json" },
  body: JSON.stringify({"enabled": true, "mode": "shadow", "deploy_mode": "none", "deploy_adapter": "string", "installation_id": 0, "github_repository_id": 0, "owner_user_ids": ["string"]})
});
const data = await resp.json();
console.log(data);
```

```go
package main

import (
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{"enabled": true, "mode": "shadow", "deploy_mode": "none", "deploy_adapter": "string", "installation_id": 0, "github_repository_id": 0, "owner_user_ids": ["string"]}`)
	req, _ := http.NewRequest("PUT", "https://app.opvs.ai/api/v1/projects/{project_id}/ship-line", body)
	req.Header.Set("Authorization", "Bearer <token>")
	req.Header.Set("Content-Type", "application/json")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}
```

**Responses**

- `200` — Successful Response
- `422` — Validation Error

## `POST` /api/v1/projects/{project_id}/ship-line/connect

**Connect Project Ship Line**

Return signed install and existing-installation link URLs for this project.

**Parameters**

- `project_id` (path, string, required)

```bash
curl -X POST 'https://app.opvs.ai/api/v1/projects/{project_id}/ship-line/connect' \
  -H 'Authorization: Bearer <token>'
```

```python
import httpx

resp = httpx.post(
    "https://app.opvs.ai/api/v1/projects/{project_id}/ship-line/connect",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
```

```javascript
const resp = await fetch("https://app.opvs.ai/api/v1/projects/{project_id}/ship-line/connect", {
  method: "POST",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
```

```go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("POST", "https://app.opvs.ai/api/v1/projects/{project_id}/ship-line/connect", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}
```

**Responses**

- `200` — Successful Response
- `422` — Validation Error

## `GET` /api/v1/projects/{project_id}/ship-line/connection

**Get Project Ship Line Connection**

Read the binding and refresh its installation/repository state via App JWT.

**Parameters**

- `project_id` (path, string, required)

```bash
curl -X GET 'https://app.opvs.ai/api/v1/projects/{project_id}/ship-line/connection' \
  -H 'Authorization: Bearer <token>'
```

```python
import httpx

resp = httpx.get(
    "https://app.opvs.ai/api/v1/projects/{project_id}/ship-line/connection",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
```

```javascript
const resp = await fetch("https://app.opvs.ai/api/v1/projects/{project_id}/ship-line/connection", {
  method: "GET",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
```

```go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/projects/{project_id}/ship-line/connection", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}
```

**Responses**

- `200` — Successful Response
- `422` — Validation Error

## Get Project Ship Line

`GET https://app.opvs.ai/api/v1/projects/{project_id}/ship-line`

Also as: CLI `opvs ship connect` · MCP `tool_call software-factory.getProjectShipLine` · skill `software-factory`

| Code | When | What to do |
| --- | --- | --- |
| 422 | Validation Error |  |

## Put Project Ship Line

`PUT https://app.opvs.ai/api/v1/projects/{project_id}/ship-line`

Also as: CLI `opvs ship owners ${verb}` · MCP `tool_call software-factory.setProjectShipLine` · skill `software-factory`

| Code | When | What to do |
| --- | --- | --- |
| 422 | Validation Error |  |

## Connect Project Ship Line

`POST https://app.opvs.ai/api/v1/projects/{project_id}/ship-line/connect`

Also as: CLI `opvs ship connect` · MCP `tool_call software-factory.connectProjectShipLine` · skill `software-factory`

Return signed install and existing-installation link URLs for this project.

| Code | When | What to do |
| --- | --- | --- |
| 422 | Validation Error |  |

## Get Project Ship Line Connection

`GET https://app.opvs.ai/api/v1/projects/{project_id}/ship-line/connection`

Also as: CLI `opvs ship status` · MCP `tool_call software-factory.getProjectShipLineConnection` · skill `software-factory`

Read the binding and refresh its installation/repository state via App JWT.

| Code | When | What to do |
| --- | --- | --- |
| 422 | Validation Error |  |
